Skip to navigation

Update bank account

Updates the bank account details for a specific contract’s bank record. Use this when a worker has multiple active Global Payroll contracts and needs to manage each contract’s bank account and salary split independently, without affecting other contracts. Only the fields provided in the request body are updated.

Token scopes: people:write

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
  -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
Unique identifier for a contract.
bank_idstringRequired
Unique identifier for the bank account in UUID format.

Request

Request body to modify an existing bank account for an employee.
dataobjectRequired

Response

Successful operation.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error